GRIB_COMPARE(1)

NAME
grib_compare - Compares the grib messages contained in two files.

DESCRIPTION
Compares the grib messages contained in two files one by one in the same order. If some differences are found it fails returning an error code. All the keys are compared except those listed with the -b option and those that are specific of a different grib edition. Also data values are compared and are considered as different if their maximum absolute difference is greater than the absolute error, that by default is 0.000001. The value used by the absolute error can be set with te -e option.

USAGE
grib_compare [options] grib_file grib_file

OPTIONS

-b key,key,...
    Black list. All the keys in this list are skipped when comparing the two files.

-c key,key,...
    Keys to compare. Only the listed keys are compared.

-e tolerance
    Only values whose difference is more than tolerance are considered different.

-w key[:{s/d/l}]{=/!=}value,key[:{s/d/l}]{=/!=}value,...
    Where clause. Grib messages are processed only if they match all the key/value constraints. A valid constraint is of type key=value or key!=value. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be specified. Default type is string.

-f 	Force. Force the execution not to fail on error.

-V 	Version.

-7 	Does not fail when the message has wrong length

-v 	Verbose.

AUTHOR
This manpage has been autogenerated by Enrico Zini <enrico@debian.org>from the command line help of grib_compare.